DISPDATA_GET_DATAOBJECT_SUBCLASS(3)

EXPERIMENTAL_FUNC
dispdata_get_dataobject_subclass - Get the subclass for a KDisplayDataObject.

SYNOPSIS
#include <karma_dispdata.h>

void * dispdata_get_dataobject_subclass

(KDisplayDataObject dataobject, KDisplayDataClass dataclass)

DESCRIPTION
Get the subclass for a KDisplayDataObject.

dataobject
    The KDisplayDataObject.

dataclass
    The KDisplayDataClass the data belong to.

RETURN VALUE
A pointer to the subclass.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/